package com.bytedance.android.livesdk.liveroom;

import X.0CB;
import X.0CG;
import X.0CN;
import com.bytedance.covode.number.Covode;

public interface ISubController extends 0CG {
    static {
        Covode.recordClassIndex(17578);
    }

    void init();

    @0CN(LIZ = 0CB.ON_CREATE)
    void onCreate();

    @0CN(LIZ = 0CB.ON_DESTROY)
    void onDestroy();

    @0CN(LIZ = 0CB.ON_PAUSE)
    void onPause();

    @0CN(LIZ = 0CB.ON_RESUME)
    void onResume();
}
